Package relaxngcc.codedom

# Class CDLanguageSpecificString

java.lang.Object
relaxngcc.codedom.CDExpression
relaxngcc.codedom.CDLanguageSpecificString

All Implemented Interfaces:
  `CDStatement`

public class CDLanguageSpecificString extends CDExpression implements CDStatement
Unstructured text whose composition we don't care. This can be used either as an expression or a statement.

## Constructor Summary

Constructors
Constructor
Description
`CDLanguageSpecificString()`
`CDLanguageSpecificString(String data)`

## Method Summary

Modifier and Type
Method
Description
`void`
`express(CDFormatter f)`
`String`
`getString(int language)`
`void`
`setString(int language, String data)`
`void`
`setString(String data)`
`void`
`state(CDFormatter f)`
Prints itself as a statement.

### Methods inherited from class relaxngcc.codedom.CDExpression

`_new, arrayRef, arrayRef, castTo, invoke, not, prop`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDLanguageSpecificString

public CDLanguageSpecificString()

### CDLanguageSpecificString

public CDLanguageSpecificString(String data)

## Method Details

### setString

public void setString(int language, String data)

### setString

public void setString(String data)

### getString

public String getString(int language)

### state

public void state(CDFormatter f) throws IOException
Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `IOException`

### express

public void express(CDFormatter f) throws IOException

Throws:
  `IOException`